Subject: [Cfrg] Derivation of an AES key from hash function (SHA-1, 256, 512)

From: ngaga Gisse <[email-masked]>
Date: Mon, 17 Jul 2006 09:23:20 -0700 (PDT)

Dear Sir,
  I have the following problem:
  I propose to use the hash function output as an input to the AES algorithm.
  The output of the AES is used to encrypt message M. 
   
  Question:
  1) I want to use a hash output (e.g. 160 bits stream) as an input to the the AES algorithm  1) I want to use a hash output. What techniques should be used to match the hash ouput and the AES input ?,  Or what actually should be done?
  2) Question1, but Hash(160 bits) ouput  less than the AES (192 bits) input. 
  3) Are there any known functions that can solve the problem? 
   
  Kind regards,
  Ngaga

---------------------------------
Want to be your own boss? Learn how on  Yahoo! Small Business. 

_______________________________________________
Cfrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/cfrg